package core.stlmes.server.sale.po;

import java.sql.ResultSet;
import java.sql.SQLException;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;

public class SlmBalanceInfoInvoiceBean {
	private String Ord_no = "";
	private String Ord_seq = "";
	private String Ord_ln_dly = "";
	private String Askplan_id = "";
	private String Spetkey = "";
	private String Steelcodekey = "";
	private String Spet = "";
	private Double Ply = 0.0;
	private Double Width = 0.0;
	private Double Length = 0.0;
	private Double Prd_ply = 0.0;
	private Double Prd_widht = 0.0;
	private Double Prd_length = 0.0;
	private String Steelcode = "";
	private String Listnumber = "";
	private Double Quantity = 0.0;
	private Double Weight = 0.0;
	private Double Price = 0.0;
	private Double Money = 0.0;
	private String Remark = "";
	private java.util.Date Pickstoragetime = null;
	private String Invoiceperson = "";
	private java.util.Date Invoicedate = null;
	private String Invoiceno = "";
	private String Invoiceno_seq = "";
	private String Balancestatus = "";
	private String Productline = "";
	private String Cutsidestate = "";
	private String Buyercode = "";
	private String Inceptcorpcode = "";
	private String Stationcode = "";
	private Double Baseprice = 0.0;
	private String Clearflag = "";
	private String Isheat = "";
	private String Ischeckscar = "";
	private String Pactindex = "";
	private Double Transmoney = 0.0;
	private String Category = "";
	private String Isout = "";
	private String Affirmperson = "";
	private java.util.Date Affirmtime = null;
	private Double Invoicetransmoney = 0.0;
	private String Forecorpcode = "";
	private String Isreplan = "";
	private String Basepricefile = "";
	private String Adjupricefile = "";
	private String Islockprice = "";
	private String Iswatercarriage = "";
	private String Dockcode = "";
	private String Areacode = "";
	private String Balanceno = "";
	private String Isoverlen = "";
	private String Prodline = "";
	private java.util.Date Sendbegindate = null;
	private java.util.Date Plandate = null;
	private String Trainremark = "";
	private String Invoicenoz = "";
	private String Fixsize = "";
	private String Standroller = "";
	private String Checkorg = "";
	private String Vinvoiceflag = "";
	private Double Zyfmoney = 0.0;
	private String Decrerson = "";
	private String Istest = "";
	private Double Testprice = 0.0;
	private String Test_id = "";
	private java.util.Date Decrdate = null;
	private String Tzrson = "";
	private java.util.Date Tzdate = null;
	private String Tjyy = "";
	private Double Transmoneyqc = 0.0;
	private Double Transmoneysy1 = 0.0;
	private Double Carfmoney = 0.0;
	private String Isinvoicenolocked = "";

	public String getOrd_no() {
		return Ord_no;
	}

	public void setOrd_no(String ordNo) {
		Ord_no = ordNo;
	}

	public String getOrd_seq() {
		return Ord_seq;
	}

	public void setOrd_seq(String ordSeq) {
		Ord_seq = ordSeq;
	}

	public String getOrd_ln_dly() {
		return Ord_ln_dly;
	}

	public void setOrd_ln_dly(String ordLnDly) {
		Ord_ln_dly = ordLnDly;
	}

	public String getAskplan_id() {
		return Askplan_id;
	}

	public void setAskplan_id(String askplanId) {
		Askplan_id = askplanId;
	}

	public String getSpetkey() {
		return Spetkey;
	}

	public void setSpetkey(String spetkey) {
		Spetkey = spetkey;
	}

	public String getSteelcodekey() {
		return Steelcodekey;
	}

	public void setSteelcodekey(String steelcodekey) {
		Steelcodekey = steelcodekey;
	}

	public String getSpet() {
		return Spet;
	}

	public void setSpet(String spet) {
		Spet = spet;
	}

	public Double getPly() {
		return Ply;
	}

	public void setPly(Double ply) {
		Ply = ply;
	}

	public Double getWidth() {
		return Width;
	}

	public void setWidth(Double width) {
		Width = width;
	}

	public Double getLength() {
		return Length;
	}

	public void setLength(Double length) {
		Length = length;
	}

	public Double getPrd_ply() {
		return Prd_ply;
	}

	public void setPrd_ply(Double prdPly) {
		Prd_ply = prdPly;
	}

	public Double getPrd_widht() {
		return Prd_widht;
	}

	public void setPrd_widht(Double prdWidht) {
		Prd_widht = prdWidht;
	}

	public Double getPrd_length() {
		return Prd_length;
	}

	public void setPrd_length(Double prdLength) {
		Prd_length = prdLength;
	}

	public String getSteelcode() {
		return Steelcode;
	}

	public void setSteelcode(String steelcode) {
		Steelcode = steelcode;
	}

	public String getListnumber() {
		return Listnumber;
	}

	public void setListnumber(String listnumber) {
		Listnumber = listnumber;
	}

	public Double getQuantity() {
		return Quantity;
	}

	public void setQuantity(Double quantity) {
		Quantity = quantity;
	}

	public Double getWeight() {
		return Weight;
	}

	public void setWeight(Double weight) {
		Weight = weight;
	}

	public Double getPrice() {
		return Price;
	}

	public void setPrice(Double price) {
		Price = price;
	}

	public Double getMoney() {
		return Money;
	}

	public void setMoney(Double money) {
		Money = money;
	}

	public String getRemark() {
		return Remark;
	}

	public void setRemark(String remark) {
		Remark = remark;
	}

	public java.util.Date getPickstoragetime() {
		return Pickstoragetime;
	}

	public void setPickstoragetime(java.util.Date pickstoragetime) {
		Pickstoragetime = pickstoragetime;
	}

	public String getInvoiceperson() {
		return Invoiceperson;
	}

	public void setInvoiceperson(String invoiceperson) {
		Invoiceperson = invoiceperson;
	}

	public java.util.Date getInvoicedate() {
		return Invoicedate;
	}

	public void setInvoicedate(java.util.Date invoicedate) {
		Invoicedate = invoicedate;
	}

	public String getInvoiceno() {
		return Invoiceno;
	}

	public void setInvoiceno(String invoiceno) {
		Invoiceno = invoiceno;
	}

	public String getInvoiceno_seq() {
		return Invoiceno_seq;
	}

	public void setInvoiceno_seq(String invoicenoSeq) {
		Invoiceno_seq = invoicenoSeq;
	}

	public String getBalancestatus() {
		return Balancestatus;
	}

	public void setBalancestatus(String balancestatus) {
		Balancestatus = balancestatus;
	}

	public String getProductline() {
		return Productline;
	}

	public void setProductline(String productline) {
		Productline = productline;
	}

	public String getCutsidestate() {
		return Cutsidestate;
	}

	public void setCutsidestate(String cutsidestate) {
		Cutsidestate = cutsidestate;
	}

	public String getBuyercode() {
		return Buyercode;
	}

	public void setBuyercode(String buyercode) {
		Buyercode = buyercode;
	}

	public String getInceptcorpcode() {
		return Inceptcorpcode;
	}

	public void setInceptcorpcode(String inceptcorpcode) {
		Inceptcorpcode = inceptcorpcode;
	}

	public String getStationcode() {
		return Stationcode;
	}

	public void setStationcode(String stationcode) {
		Stationcode = stationcode;
	}

	public Double getBaseprice() {
		return Baseprice;
	}

	public void setBaseprice(Double baseprice) {
		Baseprice = baseprice;
	}

	public String getClearflag() {
		return Clearflag;
	}

	public void setClearflag(String clearflag) {
		Clearflag = clearflag;
	}

	public String getIsheat() {
		return Isheat;
	}

	public void setIsheat(String isheat) {
		Isheat = isheat;
	}

	public String getIscheckscar() {
		return Ischeckscar;
	}

	public void setIscheckscar(String ischeckscar) {
		Ischeckscar = ischeckscar;
	}

	public String getPactindex() {
		return Pactindex;
	}

	public void setPactindex(String pactindex) {
		Pactindex = pactindex;
	}

	public Double getTransmoney() {
		return Transmoney;
	}

	public void setTransmoney(Double transmoney) {
		Transmoney = transmoney;
	}

	public String getCategory() {
		return Category;
	}

	public void setCategory(String category) {
		Category = category;
	}

	public String getIsout() {
		return Isout;
	}

	public void setIsout(String isout) {
		Isout = isout;
	}

	public String getAffirmperson() {
		return Affirmperson;
	}

	public void setAffirmperson(String affirmperson) {
		Affirmperson = affirmperson;
	}

	public java.util.Date getAffirmtime() {
		return Affirmtime;
	}

	public void setAffirmtime(java.util.Date affirmtime) {
		Affirmtime = affirmtime;
	}

	public Double getInvoicetransmoney() {
		return Invoicetransmoney;
	}

	public void setInvoicetransmoney(Double invoicetransmoney) {
		Invoicetransmoney = invoicetransmoney;
	}

	public String getForecorpcode() {
		return Forecorpcode;
	}

	public void setForecorpcode(String forecorpcode) {
		Forecorpcode = forecorpcode;
	}

	public String getIsreplan() {
		return Isreplan;
	}

	public void setIsreplan(String isreplan) {
		Isreplan = isreplan;
	}

	public String getBasepricefile() {
		return Basepricefile;
	}

	public void setBasepricefile(String basepricefile) {
		Basepricefile = basepricefile;
	}

	public String getAdjupricefile() {
		return Adjupricefile;
	}

	public void setAdjupricefile(String adjupricefile) {
		Adjupricefile = adjupricefile;
	}

	public String getIslockprice() {
		return Islockprice;
	}

	public void setIslockprice(String islockprice) {
		Islockprice = islockprice;
	}

	public String getIswatercarriage() {
		return Iswatercarriage;
	}

	public void setIswatercarriage(String iswatercarriage) {
		Iswatercarriage = iswatercarriage;
	}

	public String getDockcode() {
		return Dockcode;
	}

	public void setDockcode(String dockcode) {
		Dockcode = dockcode;
	}

	public String getAreacode() {
		return Areacode;
	}

	public void setAreacode(String areacode) {
		Areacode = areacode;
	}

	public String getBalanceno() {
		return Balanceno;
	}

	public void setBalanceno(String balanceno) {
		Balanceno = balanceno;
	}

	public String getIsoverlen() {
		return Isoverlen;
	}

	public void setIsoverlen(String isoverlen) {
		Isoverlen = isoverlen;
	}

	public String getProdline() {
		return Prodline;
	}

	public void setProdline(String prodline) {
		Prodline = prodline;
	}

	public java.util.Date getSendbegindate() {
		return Sendbegindate;
	}

	public void setSendbegindate(java.util.Date sendbegindate) {
		Sendbegindate = sendbegindate;
	}

	public java.util.Date getPlandate() {
		return Plandate;
	}

	public void setPlandate(java.util.Date plandate) {
		Plandate = plandate;
	}

	public String getTrainremark() {
		return Trainremark;
	}

	public void setTrainremark(String trainremark) {
		Trainremark = trainremark;
	}

	public String getInvoicenoz() {
		return Invoicenoz;
	}

	public void setInvoicenoz(String invoicenoz) {
		Invoicenoz = invoicenoz;
	}

	public String getFixsize() {
		return Fixsize;
	}

	public void setFixsize(String fixsize) {
		Fixsize = fixsize;
	}

	public String getStandroller() {
		return Standroller;
	}

	public void setStandroller(String standroller) {
		Standroller = standroller;
	}

	public String getCheckorg() {
		return Checkorg;
	}

	public void setCheckorg(String checkorg) {
		Checkorg = checkorg;
	}

	public String getVinvoiceflag() {
		return Vinvoiceflag;
	}

	public void setVinvoiceflag(String vinvoiceflag) {
		Vinvoiceflag = vinvoiceflag;
	}

	public Double getZyfmoney() {
		return Zyfmoney;
	}

	public void setZyfmoney(Double zyfmoney) {
		Zyfmoney = zyfmoney;
	}

	public String getDecrerson() {
		return Decrerson;
	}

	public void setDecrerson(String decrerson) {
		Decrerson = decrerson;
	}

	public String getIstest() {
		return Istest;
	}

	public void setIstest(String istest) {
		Istest = istest;
	}

	public Double getTestprice() {
		return Testprice;
	}

	public void setTestprice(Double testprice) {
		Testprice = testprice;
	}

	public String getTest_id() {
		return Test_id;
	}

	public void setTest_id(String testId) {
		Test_id = testId;
	}

	public java.util.Date getDecrdate() {
		return Decrdate;
	}

	public void setDecrdate(java.util.Date decrdate) {
		Decrdate = decrdate;
	}

	public String getTzrson() {
		return Tzrson;
	}

	public void setTzrson(String tzrson) {
		Tzrson = tzrson;
	}

	public java.util.Date getTzdate() {
		return Tzdate;
	}

	public void setTzdate(java.util.Date tzdate) {
		Tzdate = tzdate;
	}

	public String getTjyy() {
		return Tjyy;
	}

	public void setTjyy(String tjyy) {
		Tjyy = tjyy;
	}

	public Double getTransmoneyqc() {
		return Transmoneyqc;
	}

	public void setTransmoneyqc(Double transmoneyqc) {
		Transmoneyqc = transmoneyqc;
	}

	public Double getTransmoneysy1() {
		return Transmoneysy1;
	}

	public void setTransmoneysy1(Double transmoneysy1) {
		Transmoneysy1 = transmoneysy1;
	}

	public Double getCarfmoney() {
		return Carfmoney;
	}

	public void setCarfmoney(Double carfmoney) {
		Carfmoney = carfmoney;
	}

	public String getIsinvoicenolocked() {
		return Isinvoicenolocked;
	}

	public void setIsinvoicenolocked(String isinvoicenolocked) {
		Isinvoicenolocked = isinvoicenolocked;
	}

	public static SlmBalanceInfoInvoiceBean convertHashMapToBean(HashMap hs) {
		SlmBalanceInfoInvoiceBean bean = new SlmBalanceInfoInvoiceBean();
		try {
			bean.setOrd_no((String) hs.get("ORD_NO"));
		} catch (java.lang.Exception ex) {
		}
		try {
			bean.setOrd_seq((String) hs.get("ORD_SEQ"));
		} catch (java.lang.Exception ex) {
		}
		try {
			bean.setOrd_ln_dly((String) hs.get("ORD_LN_DLY"));
		} catch (java.lang.Exception ex) {
		}
		try {
			bean.setAskplan_id((String) hs.get("ASKPLAN_ID"));
		} catch (java.lang.Exception ex) {
		}
		try {
			bean.setSpetkey((String) hs.get("SPETKEY"));
		} catch (java.lang.Exception ex) {
		}
		try {
			bean.setSteelcodekey((String) hs.get("STEELCODEKEY"));
		} catch (java.lang.Exception ex) {
		}
		try {
			bean.setSpet((String) hs.get("SPET"));
		} catch (java.lang.Exception ex) {
		}
		try {
			bean.setPly((Double) hs.get("PLY"));
		} catch (java.lang.Exception ex) {
		}
		try {
			bean.setWidth((Double) hs.get("WIDTH"));
		} catch (java.lang.Exception ex) {
		}
		try {
			bean.setLength((Double) hs.get("LENGTH"));
		} catch (java.lang.Exception ex) {
		}
		try {
			bean.setPrd_ply((Double) hs.get("PRD_PLY"));
		} catch (java.lang.Exception ex) {
		}
		try {
			bean.setPrd_widht((Double) hs.get("PRD_WIDHT"));
		} catch (java.lang.Exception ex) {
		}
		try {
			bean.setPrd_length((Double) hs.get("PRD_LENGTH"));
		} catch (java.lang.Exception ex) {
		}
		try {
			bean.setSteelcode((String) hs.get("STEELCODE"));
		} catch (java.lang.Exception ex) {
		}
		try {
			bean.setListnumber((String) hs.get("LISTNUMBER"));
		} catch (java.lang.Exception ex) {
		}
		try {
			bean.setQuantity((Double) hs.get("QUANTITY"));
		} catch (java.lang.Exception ex) {
		}
		try {
			bean.setWeight((Double) hs.get("WEIGHT"));
		} catch (java.lang.Exception ex) {
		}
		try {
			bean.setPrice((Double) hs.get("PRICE"));
		} catch (java.lang.Exception ex) {
		}
		try {
			bean.setMoney((Double) hs.get("MONEY"));
		} catch (java.lang.Exception ex) {
		}
		try {
			bean.setRemark((String) hs.get("REMARK"));
		} catch (java.lang.Exception ex) {
		}
		try {
			bean.setPickstoragetime((java.util.Date) hs.get("PICKSTORAGETIME"));
		} catch (java.lang.Exception ex) {
		}
		try {
			bean.setInvoiceperson((String) hs.get("INVOICEPERSON"));
		} catch (java.lang.Exception ex) {
		}
		try {
			bean.setInvoicedate((java.util.Date) hs.get("INVOICEDATE"));
		} catch (java.lang.Exception ex) {
		}
		try {
			bean.setInvoiceno((String) hs.get("INVOICENO"));
		} catch (java.lang.Exception ex) {
		}
		try {
			bean.setInvoiceno_seq((String) hs.get("INVOICENO_SEQ"));
		} catch (java.lang.Exception ex) {
		}
		try {
			bean.setBalancestatus((String) hs.get("BALANCESTATUS"));
		} catch (java.lang.Exception ex) {
		}
		try {
			bean.setProductline((String) hs.get("PRODUCTLINE"));
		} catch (java.lang.Exception ex) {
		}
		try {
			bean.setCutsidestate((String) hs.get("CUTSIDESTATE"));
		} catch (java.lang.Exception ex) {
		}
		try {
			bean.setBuyercode((String) hs.get("BUYERCODE"));
		} catch (java.lang.Exception ex) {
		}
		try {
			bean.setInceptcorpcode((String) hs.get("INCEPTCORPCODE"));
		} catch (java.lang.Exception ex) {
		}
		try {
			bean.setStationcode((String) hs.get("STATIONCODE"));
		} catch (java.lang.Exception ex) {
		}
		try {
			bean.setBaseprice((Double) hs.get("BASEPRICE"));
		} catch (java.lang.Exception ex) {
		}
		try {
			bean.setClearflag((String) hs.get("CLEARFLAG"));
		} catch (java.lang.Exception ex) {
		}
		try {
			bean.setIsheat((String) hs.get("ISHEAT"));
		} catch (java.lang.Exception ex) {
		}
		try {
			bean.setIscheckscar((String) hs.get("ISCHECKSCAR"));
		} catch (java.lang.Exception ex) {
		}
		try {
			bean.setPactindex((String) hs.get("PACTINDEX"));
		} catch (java.lang.Exception ex) {
		}
		try {
			bean.setTransmoney((Double) hs.get("TRANSMONEY"));
		} catch (java.lang.Exception ex) {
		}
		try {
			bean.setCategory((String) hs.get("CATEGORY"));
		} catch (java.lang.Exception ex) {
		}
		try {
			bean.setIsout((String) hs.get("ISOUT"));
		} catch (java.lang.Exception ex) {
		}
		try {
			bean.setAffirmperson((String) hs.get("AFFIRMPERSON"));
		} catch (java.lang.Exception ex) {
		}
		try {
			bean.setAffirmtime((java.util.Date) hs.get("AFFIRMTIME"));
		} catch (java.lang.Exception ex) {
		}
		try {
			bean.setInvoicetransmoney((Double) hs.get("INVOICETRANSMONEY"));
		} catch (java.lang.Exception ex) {
		}
		try {
			bean.setForecorpcode((String) hs.get("FORECORPCODE"));
		} catch (java.lang.Exception ex) {
		}
		try {
			bean.setIsreplan((String) hs.get("ISREPLAN"));
		} catch (java.lang.Exception ex) {
		}
		try {
			bean.setBasepricefile((String) hs.get("BASEPRICEFILE"));
		} catch (java.lang.Exception ex) {
		}
		try {
			bean.setAdjupricefile((String) hs.get("ADJUPRICEFILE"));
		} catch (java.lang.Exception ex) {
		}
		try {
			bean.setIslockprice((String) hs.get("ISLOCKPRICE"));
		} catch (java.lang.Exception ex) {
		}
		try {
			bean.setIswatercarriage((String) hs.get("ISWATERCARRIAGE"));
		} catch (java.lang.Exception ex) {
		}
		try {
			bean.setDockcode((String) hs.get("DOCKCODE"));
		} catch (java.lang.Exception ex) {
		}
		try {
			bean.setAreacode((String) hs.get("AREACODE"));
		} catch (java.lang.Exception ex) {
		}
		try {
			bean.setBalanceno((String) hs.get("BALANCENO"));
		} catch (java.lang.Exception ex) {
		}
		try {
			bean.setIsoverlen((String) hs.get("ISOVERLEN"));
		} catch (java.lang.Exception ex) {
		}
		try {
			bean.setProdline((String) hs.get("PRODLINE"));
		} catch (java.lang.Exception ex) {
		}
		try {
			bean.setSendbegindate((java.util.Date) hs.get("SENDBEGINDATE"));
		} catch (java.lang.Exception ex) {
		}
		try {
			bean.setPlandate((java.util.Date) hs.get("PLANDATE"));
		} catch (java.lang.Exception ex) {
		}
		try {
			bean.setTrainremark((String) hs.get("TRAINREMARK"));
		} catch (java.lang.Exception ex) {
		}
		try {
			bean.setInvoicenoz((String) hs.get("INVOICENOZ"));
		} catch (java.lang.Exception ex) {
		}
		try {
			bean.setFixsize((String) hs.get("FIXSIZE"));
		} catch (java.lang.Exception ex) {
		}
		try {
			bean.setStandroller((String) hs.get("STANDROLLER"));
		} catch (java.lang.Exception ex) {
		}
		try {
			bean.setCheckorg((String) hs.get("CHECKORG"));
		} catch (java.lang.Exception ex) {
		}
		try {
			bean.setVinvoiceflag((String) hs.get("VINVOICEFLAG"));
		} catch (java.lang.Exception ex) {
		}
		try {
			bean.setZyfmoney((Double) hs.get("ZYFMONEY"));
		} catch (java.lang.Exception ex) {
		}
		try {
			bean.setDecrerson((String) hs.get("DECRERSON"));
		} catch (java.lang.Exception ex) {
		}
		try {
			bean.setIstest((String) hs.get("ISTEST"));
		} catch (java.lang.Exception ex) {
		}
		try {
			bean.setTestprice((Double) hs.get("TESTPRICE"));
		} catch (java.lang.Exception ex) {
		}
		try {
			bean.setTest_id((String) hs.get("TEST_ID"));
		} catch (java.lang.Exception ex) {
		}
		try {
			bean.setDecrdate((java.util.Date) hs.get("DECRDATE"));
		} catch (java.lang.Exception ex) {
		}
		try {
			bean.setTzrson((String) hs.get("TZRSON"));
		} catch (java.lang.Exception ex) {
		}
		try {
			bean.setTzdate((java.util.Date) hs.get("TZDATE"));
		} catch (java.lang.Exception ex) {
		}
		try {
			bean.setTjyy((String) hs.get("TJYY"));
		} catch (java.lang.Exception ex) {
		}
		try {
			bean.setTransmoneyqc((Double) hs.get("TRANSMONEYQC"));
		} catch (java.lang.Exception ex) {
		}
		try {
			bean.setTransmoneysy1((Double) hs.get("TRANSMONEYSY1"));
		} catch (java.lang.Exception ex) {
		}
		try {
			bean.setCarfmoney((Double) hs.get("CARFMONEY"));
		} catch (java.lang.Exception ex) {
		}
		try {
			bean.setIsinvoicenolocked((String) hs.get("ISINVOICENOLOCKED"));
		} catch (java.lang.Exception ex) {
		}
		return bean;

	}

	public static List<SlmBalanceInfoInvoiceBean> convertResultSetToBeanList(
			ResultSet set) throws SQLException {
		List<SlmBalanceInfoInvoiceBean> listbean = new ArrayList<SlmBalanceInfoInvoiceBean>();
		SlmBalanceInfoInvoiceBean bean = null;

		while (set.next()) {
			bean = new SlmBalanceInfoInvoiceBean();
			try {
				bean.setOrd_no((String) set.getObject("ORD_NO"));
			} catch (java.lang.Exception ex) {
			}
			try {
				bean.setOrd_seq((String) set.getObject("ORD_SEQ"));
			} catch (java.lang.Exception ex) {
			}
			try {
				bean.setOrd_ln_dly((String) set.getObject("ORD_LN_DLY"));
			} catch (java.lang.Exception ex) {
			}
			try {
				bean.setAskplan_id((String) set.getObject("ASKPLAN_ID"));
			} catch (java.lang.Exception ex) {
			}
			try {
				bean.setSpetkey((String) set.getObject("SPETKEY"));
			} catch (java.lang.Exception ex) {
			}
			try {
				bean.setSteelcodekey((String) set.getObject("STEELCODEKEY"));
			} catch (java.lang.Exception ex) {
			}
			try {
				bean.setSpet((String) set.getObject("SPET"));
			} catch (java.lang.Exception ex) {
			}
			try {
				bean.setPly((Double) set.getObject("PLY"));
			} catch (java.lang.Exception ex) {
			}
			try {
				bean.setWidth((Double) set.getObject("WIDTH"));
			} catch (java.lang.Exception ex) {
			}
			try {
				bean.setLength((Double) set.getObject("LENGTH"));
			} catch (java.lang.Exception ex) {
			}
			try {
				bean.setPrd_ply((Double) set.getObject("PRD_PLY"));
			} catch (java.lang.Exception ex) {
			}
			try {
				bean.setPrd_widht((Double) set.getObject("PRD_WIDHT"));
			} catch (java.lang.Exception ex) {
			}
			try {
				bean.setPrd_length((Double) set.getObject("PRD_LENGTH"));
			} catch (java.lang.Exception ex) {
			}
			try {
				bean.setSteelcode((String) set.getObject("STEELCODE"));
			} catch (java.lang.Exception ex) {
			}
			try {
				bean.setListnumber((String) set.getObject("LISTNUMBER"));
			} catch (java.lang.Exception ex) {
			}
			try {
				bean.setQuantity((Double) set.getObject("QUANTITY"));
			} catch (java.lang.Exception ex) {
			}
			try {
				bean.setWeight((Double) set.getObject("WEIGHT"));
			} catch (java.lang.Exception ex) {
			}
			try {
				bean.setPrice((Double) set.getObject("PRICE"));
			} catch (java.lang.Exception ex) {
			}
			try {
				bean.setMoney((Double) set.getObject("MONEY"));
			} catch (java.lang.Exception ex) {
			}
			try {
				bean.setRemark((String) set.getObject("REMARK"));
			} catch (java.lang.Exception ex) {
			}
			try {
				bean.setPickstoragetime((java.util.Date) set
						.getObject("PICKSTORAGETIME"));
			} catch (java.lang.Exception ex) {
			}
			try {
				bean.setInvoiceperson((String) set.getObject("INVOICEPERSON"));
			} catch (java.lang.Exception ex) {
			}
			try {
				bean.setInvoicedate((java.util.Date) set
						.getObject("INVOICEDATE"));
			} catch (java.lang.Exception ex) {
			}
			try {
				bean.setInvoiceno((String) set.getObject("INVOICENO"));
			} catch (java.lang.Exception ex) {
			}
			try {
				bean.setInvoiceno_seq((String) set.getObject("INVOICENO_SEQ"));
			} catch (java.lang.Exception ex) {
			}
			try {
				bean.setBalancestatus((String) set.getObject("BALANCESTATUS"));
			} catch (java.lang.Exception ex) {
			}
			try {
				bean.setProductline((String) set.getObject("PRODUCTLINE"));
			} catch (java.lang.Exception ex) {
			}
			try {
				bean.setCutsidestate((String) set.getObject("CUTSIDESTATE"));
			} catch (java.lang.Exception ex) {
			}
			try {
				bean.setBuyercode((String) set.getObject("BUYERCODE"));
			} catch (java.lang.Exception ex) {
			}
			try {
				bean
						.setInceptcorpcode((String) set
								.getObject("INCEPTCORPCODE"));
			} catch (java.lang.Exception ex) {
			}
			try {
				bean.setStationcode((String) set.getObject("STATIONCODE"));
			} catch (java.lang.Exception ex) {
			}
			try {
				bean.setBaseprice((Double) set.getObject("BASEPRICE"));
			} catch (java.lang.Exception ex) {
			}
			try {
				bean.setClearflag((String) set.getObject("CLEARFLAG"));
			} catch (java.lang.Exception ex) {
			}
			try {
				bean.setIsheat((String) set.getObject("ISHEAT"));
			} catch (java.lang.Exception ex) {
			}
			try {
				bean.setIscheckscar((String) set.getObject("ISCHECKSCAR"));
			} catch (java.lang.Exception ex) {
			}
			try {
				bean.setPactindex((String) set.getObject("PACTINDEX"));
			} catch (java.lang.Exception ex) {
			}
			try {
				bean.setTransmoney((Double) set.getObject("TRANSMONEY"));
			} catch (java.lang.Exception ex) {
			}
			try {
				bean.setCategory((String) set.getObject("CATEGORY"));
			} catch (java.lang.Exception ex) {
			}
			try {
				bean.setIsout((String) set.getObject("ISOUT"));
			} catch (java.lang.Exception ex) {
			}
			try {
				bean.setAffirmperson((String) set.getObject("AFFIRMPERSON"));
			} catch (java.lang.Exception ex) {
			}
			try {
				bean
						.setAffirmtime((java.util.Date) set
								.getObject("AFFIRMTIME"));
			} catch (java.lang.Exception ex) {
			}
			try {
				bean.setInvoicetransmoney((Double) set
						.getObject("INVOICETRANSMONEY"));
			} catch (java.lang.Exception ex) {
			}
			try {
				bean.setForecorpcode((String) set.getObject("FORECORPCODE"));
			} catch (java.lang.Exception ex) {
			}
			try {
				bean.setIsreplan((String) set.getObject("ISREPLAN"));
			} catch (java.lang.Exception ex) {
			}
			try {
				bean.setBasepricefile((String) set.getObject("BASEPRICEFILE"));
			} catch (java.lang.Exception ex) {
			}
			try {
				bean.setAdjupricefile((String) set.getObject("ADJUPRICEFILE"));
			} catch (java.lang.Exception ex) {
			}
			try {
				bean.setIslockprice((String) set.getObject("ISLOCKPRICE"));
			} catch (java.lang.Exception ex) {
			}
			try {
				bean.setIswatercarriage((String) set
						.getObject("ISWATERCARRIAGE"));
			} catch (java.lang.Exception ex) {
			}
			try {
				bean.setDockcode((String) set.getObject("DOCKCODE"));
			} catch (java.lang.Exception ex) {
			}
			try {
				bean.setAreacode((String) set.getObject("AREACODE"));
			} catch (java.lang.Exception ex) {
			}
			try {
				bean.setBalanceno((String) set.getObject("BALANCENO"));
			} catch (java.lang.Exception ex) {
			}
			try {
				bean.setIsoverlen((String) set.getObject("ISOVERLEN"));
			} catch (java.lang.Exception ex) {
			}
			try {
				bean.setProdline((String) set.getObject("PRODLINE"));
			} catch (java.lang.Exception ex) {
			}
			try {
				bean.setSendbegindate((java.util.Date) set
						.getObject("SENDBEGINDATE"));
			} catch (java.lang.Exception ex) {
			}
			try {
				bean.setPlandate((java.util.Date) set.getObject("PLANDATE"));
			} catch (java.lang.Exception ex) {
			}
			try {
				bean.setTrainremark((String) set.getObject("TRAINREMARK"));
			} catch (java.lang.Exception ex) {
			}
			try {
				bean.setInvoicenoz((String) set.getObject("INVOICENOZ"));
			} catch (java.lang.Exception ex) {
			}
			try {
				bean.setFixsize((String) set.getObject("FIXSIZE"));
			} catch (java.lang.Exception ex) {
			}
			try {
				bean.setStandroller((String) set.getObject("STANDROLLER"));
			} catch (java.lang.Exception ex) {
			}
			try {
				bean.setCheckorg((String) set.getObject("CHECKORG"));
			} catch (java.lang.Exception ex) {
			}
			try {
				bean.setVinvoiceflag((String) set.getObject("VINVOICEFLAG"));
			} catch (java.lang.Exception ex) {
			}
			try {
				bean.setZyfmoney((Double) set.getObject("ZYFMONEY"));
			} catch (java.lang.Exception ex) {
			}
			try {
				bean.setDecrerson((String) set.getObject("DECRERSON"));
			} catch (java.lang.Exception ex) {
			}
			try {
				bean.setIstest((String) set.getObject("ISTEST"));
			} catch (java.lang.Exception ex) {
			}
			try {
				bean.setTestprice((Double) set.getObject("TESTPRICE"));
			} catch (java.lang.Exception ex) {
			}
			try {
				bean.setTest_id((String) set.getObject("TEST_ID"));
			} catch (java.lang.Exception ex) {
			}
			try {
				bean.setDecrdate((java.util.Date) set.getObject("DECRDATE"));
			} catch (java.lang.Exception ex) {
			}
			try {
				bean.setTzrson((String) set.getObject("TZRSON"));
			} catch (java.lang.Exception ex) {
			}
			try {
				bean.setTzdate((java.util.Date) set.getObject("TZDATE"));
			} catch (java.lang.Exception ex) {
			}
			try {
				bean.setTjyy((String) set.getObject("TJYY"));
			} catch (java.lang.Exception ex) {
			}
			try {
				bean.setTransmoneyqc((Double) set.getObject("TRANSMONEYQC"));
			} catch (java.lang.Exception ex) {
			}
			try {
				bean.setTransmoneysy1((Double) set.getObject("TRANSMONEYSY1"));
			} catch (java.lang.Exception ex) {
			}
			try {
				bean.setCarfmoney((Double) set.getObject("CARFMONEY"));
			} catch (java.lang.Exception ex) {
			}
			try {
				bean.setIsinvoicenolocked((String) set
						.getObject("ISINVOICENOLOCKED"));
			} catch (java.lang.Exception ex) {
			}
			listbean.add(bean);
		}
		try {
			set.close();

		} catch (java.lang.Exception ex) {
		}
		return (listbean.size() == 0) ? null : listbean;
	}
}
